MPT-STATUS(8)

NAME
mpt-status - retrieve configuration and health status from LSI hardware RAID controllers

SYNOPSIS
mpt-status [ options ]

DESCRIPTION
The mpt-status software is a query tool to access the running configuration and status of LSI SCSI HBAs. mpt-status allows you to monitor the health and status of your RAID setup.

OPTIONS

--autoload
    This will try to automatically load the mptctl kernel module.

-u --controller <int>
    Set the IOC unit (controller).

-h --help
    Print some help information.

-n --newstyle
    Use the new style output. This parameter was introduced to retain backwards compatibility. If not set, you get the old style output. It is very likely that the output of the newstyle format will change heavily in the future, so do not rely on it when writing plugins for monitoring software, for example.

-i --set_id <int>
    Set id of primary device (check README).

-p --probe_id
    Use this to probe SCSI id's when not on id 0.

-q --quiet
    Do not display any warnings.

-s --status_only
    Only print the status information. This can be used for easy scripting

-v --verbose
    Print verbose information, such as warnings

-V --version
    Print version information

-d --debug [<int>]
    Enable debugging and set level optionally. NOTE: This is not fully implemented yet.

DIAGNOSTICS
The program's exit(2) status is meant to be interpreted as a bit mask. If everything went well, zero is returned. If not (i.e. if for example an error or unknown condition is detected), the bits of the return value shall be interpreted as:
Bit | Value | Meaning
0 | 1 | Abnormal condition / unknown error
1 | 2 | A logical volume has failed
2 | 4 | A logical volume is degraded
3 | 8 | A logical volume is resyncing
4 | 16 | At least one physical disk failed
5 | 32 | At least one physical disk is in warning condition

REPORTING BUGS
Report bugs to your linux distribution or software vendor, if mpt-status was bundled on your installation. If you have been compiling mpt-status from the vanilla sources and experience problems, redirect them to preferably <ratz@drugphish.ch> or <rnibali@pyx.ch>.

BUGS
Besides design bugs, gross software engineering and missing features, this software is considered pretty stable and can be used in production environments.

FILES
/dev/mptctl

SEE ALSO
LSI Logic provides CLI tools for megaraid controllers which you can find on their webpage, following http://www.lsil.com/cm/DownloadSearch.do

AUTHOR
mpt-status was written by Roberto Nibali <ratz@drugphish.ch>.

This manual page was written by Steffen Joeris <steffen.joeris@skolelinux.de>, for the Debian project (but may be used by others).